@import url("https://fonts.googleapis.com/css2?family=Poppins&display=swap");

:root {
  /* Variable que l'on utilisera sur toute la page */
  --darkColor: #00334a;
  --lightColor: #f8fbf1;
  --mainColor: #00353f;
  --mediumColor: #ffbf664a;
  --borderRadiusMain: 12px;
}
main {
  font-family: "Poppins", sans-serif;
}

body {
  /* Determine les paramètres valables sur toute la page */
  background-color: var(--lightColor);
  font-size: 1rem;
}

.debutImage img {
  display: block;
  overflow: hidden;
  object-fit: cover;
  width: 100%;
  max-height: 400px;
  margin-bottom: 48px;
}

h1 {
  margin-bottom: 1rem;
  margin-left: 5rem;
  padding-top: 20px;
}

.fondateur {
  display: flex;
  flex-direction: row;

  margin-left: auto;
  margin-right: auto;
  margin-bottom: 48px;
  border-radius: 20px;
  padding: 10px;
  gap: 3vw;
  text-align: justify;
  justify-content: space-between;
  align-items: center;
  vertical-align: top;
  width: 90vw;
  background-color: var(--mediumColor);
}
.fondateur p {
  width: 70vw;
  padding: 10px;
  padding-right: 20px;
  font-size: 18px;
}

.fondateur img {
  display: inline-block;
  overflow: hidden;
  max-width: 100%;
  max-height: 100%;
  border-radius: 7px;
  padding-left: 20px;
}

.container-right {
  width: 80vw;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-end;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 2rem;
}

.container-left {
  width: 80vw;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 2rem;
}

.h2right {
  /* Mise en forme des h2 des docteurs à droite */
  /* display: block; */
  /* flex-direction: row-reverse; */
  text-align: center;
  background-color: var(--mainColor);
  color: #fff;
  padding: 30px;
  border-radius: 10px;
}

.h2left {
  /* Mise en forme des h2 des docteurs à gauche */
  display: flex;
  flex-direction: row;
  text-align: center;
  border-radius: 10px;
  padding: 30px;
  /*padding : 10px 0px 10px 25px;*/
  background-color: var(--mainColor);
  color: #fff;
}

.docteur {
  display: flex;
  align-items: center;
  flex-wrap: no-wrap;
  /* margin: 10px; */
  width: 60vw;
  border-radius: var(--borderRadiusMain);
  gap: 20px;
}

.left {
  flex-direction: row;
  justify-content: flex-start;
  font-size: 18px;
}

.right {
  flex-direction: row-reverse;
  justify-content: flex-end;
  font-size: 18px;
}

.docteur img {
  width: 200px;
  height: auto;
  border-radius: var(--borderRadiusMain);
}

.docteur p {
  /* display: flex;
    justify-content: left; */
  text-align: justify;
  /*width: 75vw;*/
  padding: 10px;
}

/*footer*/

footer {
  background-color: #00353f;
  width: 100%;
  align-items: center;
  display: flex;
  justify-content: space-between;
  padding: 0 2em;
}

footer img {
  margin: 0.5em 1em 0.5em 1em;
  width: 10%;
}

footer p {
  display: inline-block;
}

.footerContact {
  color: white;
  display: flex;
  align-items: center;
  font-size: 100%;
}

@media screen and (max-width: 900px) {
  h1 {
    text-align: center;
    margin-left: 0rem;
  }

  .fondateur {
    display: flex;
    flex-direction: column;
  }

  .fondateur img {
    display: flex;
    max-width: 50%;
    margin-left: 25%;
  }
  .container-right {
    width: 90vw;
  }

  .container-left {
    width: 90vw;
  }

  .docteur img {
    width: 150px;
    height: auto;
    border-radius: var(--borderRadiusMain);
  }

  .docteur {
    width: 75vw;
  }
}

@media screen and (max-width: 600px) {
  .docteur {
    flex-direction: column;
  }

  .docteur p {
    font-size: 1rem;
  }

  h1 {
    /* Mise en forme du h1 */
    font-size: 1.6rem;
  }

  .h2right {
    /* Mise en forme des h2 des docteurs à droite */
    font-size: 1.3rem;
  }

  .h2left {
    /* Mise en forme des h2 des docteurs à droite */
    font-size: 1.3rem;
  }
}

@media screen and (max-width: 400px) {
  .docteur {
    flex-direction: column;
  }

  .docteur p {
    font-size: 1.15rem;
  }

  .container-right {
    align-items: center;
  }

  .container-left {
    align-items: center;
  }
}
